'use strict';

const Promise = require('bluebird'); // eslint-disable-line no-shadow

module.exports = class PromiseUtils {
    static expectPromiseRejection (promise) {
        return new Promise((resolve, reject) => promise
            .then(() => reject('Promise was resolved, but should not have been.'), resolve)
        );
    }
};
