'use strict';

const AssertionUtils = require('./assertionUtils');
const DateTimeUtils = require('./dateTimeUtils');
const PromiseUtils = require('./promiseUtils');
const WebRequestUtils = require('./webRequestUtils');

module.exports = new class UtilsService {
    constructor () {
        this._AssertionUtils = AssertionUtils;
        this._DateTimeUtils = DateTimeUtils;
        this._PromiseUtils = PromiseUtils;
        this._WebRequestUtils = WebRequestUtils;
    }

    get assertionUtils () {
        return this._AssertionUtils;
    }

    get dateTimeUtils () {
        return this._DateTimeUtils;
    }

    get promiseUtils () {
        return this._PromiseUtils;
    }

    get webRequestUtils () {
        return this._WebRequestUtils;
    }
}();
