'use strict';

const Promise = require('bluebird'); // eslint-disable-line no-shadow

module.exports = class WebRequestUtils {
    static returnRequestAsResponse (path, options = {}) {
        return Promise.resolve({ options, path });
    }

    static returnRequestAsResponseBody (path, options = {}) {
        return Promise.resolve({ body: JSON.stringify({ options, path }) });
    }

    static returnSomething (whatToReturn) {
        return () => Promise.resolve(whatToReturn);
    }
};
