/* eslint-disable
 func-names,
 func-style,
 max-nested-callbacks,
 no-undefined,
 prefer-arrow-callback,
 */
/* global describe, it */

'use strict';

const appModulePath = require('app-module-path');

appModulePath.addPath('./');

const PromiseUtils = require('lib/promiseUtils');

describe('PromiseUtils', function () {
    describe('PromiseUtils::expectPromiseRejection', function () {
        it('should resolve when the promise is rejected', function () {
            return PromiseUtils.expectPromiseRejection(Promise.reject());
        });

        it('should reject when the promise is resolved', function () {
            return new Promise((resolve, reject) => {
                PromiseUtils.expectPromiseRejection(Promise.resolve())
                    .then(reject, resolve);
            });
        });
    });
});
